Take the 2-minute tour ×
Ask Ubuntu is a question and answer site for Ubuntu users and developers. It's 100% free, no registration required.

I am using 12.04.1 x86_64 on my system. This is fresh clean install. Every time I check for updates using "Updates Available" menu-item I get the partial upgrade option.

What does this mean? Just want to confirm on what version would my system be upgraded to. I haven't heard anything like 12.04.2 so I am assuming it would be 12.10 beta release.

I have checked the settings that notify me the type of updates release; it's set to LTS releases.

Is anybody else facing the issue?

Please have a look at the screen shot:-

Partial Upgrade

share|improve this question
add comment

3 Answers

up vote 2 down vote accepted

A partial upgrade is actually just updating some programs but not all.

The most common reasons are listen on the screenshot you posted, with A Previous Upgrade Didn't Complete being the top (most common) one.

If you have updated recently, but ran into an error or just shut-down before completion, this could be the reason. Use of PPAs or other external software could also be at fault.

You should run the partial upgrade, restart if necessary, then check for and install any available updates again.

As Roland Taylor said, you will not be upgraded to 12.10 unless you explicitly choose to do so.

share|improve this answer
    
Running "partial upgrade" may be problematic and make your system less usable. –  guntbert May 17 '13 at 7:10
add comment

When you see "partial upgrade" it just means that some packages cannot be upgraded as yet. Just refresh your sources or wait a few days (sometimes it takes longer depending on if there are problems in the build queue) and try applying updates again, and the packages that were held back will be upgraded.

12.04.1 is just a point release, so you will get it by just applying normal updates to your 12.04 install. You will not be upgraded to 12.10 unless you explicitly choose to do so.

share|improve this answer
add comment

RolaniXor's suggestion plus a couple additional steps is what ultimately worked for me. I've seen a few of these threads and none that are solved, so please share if you can confirm the following experience is a common solution.

Note: This machine is running a 64-bit lxde desktop.

About a week ago, an upgrade was performed from 11.10 to 12.04 and received the same "Partial Upgrade" popup in the Update Manager. This was ignored after reading a lot of problems people have after running a partial upgrade. I continued to update whatever packages were available via Update Manager.

Today, I saw some kernel packages as well as the sessioninstaller package which I was not able to update through Update Manager. These were successfully added using sudo apt-get install from command line. The package called sessioninstaller was the one that ultimately stopped the "Partial Upgrade" suggestions and allowed me to update other packages which were previously disabled via Update Manager.

This may or may not be the case for others, but if you see sessioninstaller and you have updated all available packages in your Update Manager, you may wish to try installing it from command line with: sudo apt-get install sessionmanager

Here are my update logs containing the kernel packages as well, although I don't know enough to know whether or not that helped with this situation. I just figured kernel comes before distro and installed these packages first. See below.

Start-Date: 2013-05-16  18:49:21
Commandline: aptdaemon role='role-commit-packages' sender=':1.64'
Upgrade: php5:amd64 (5.4.14-1~precise+1, 5.4.15-1~precise+1), thunderbird:amd64 (17.0.5+build1-0ubuntu0.12.04.1, 17.0.6+build1-0ubuntu0.12.04.1), firefox-globalmenu:amd64 (20.0+build1-0ubuntu0.12.04.3, 21.0+build2-0ubuntu0.12.04.3), libapache2-mod-php5:amd64 (5.4.14-1~precise+1, 5.4.15-1~precise+1), mtools:amd64 (4.0.12-1, 4.0.12-1ubuntu0.12.04.1), php5-gd:amd64 (5.4.14-1~precise+1, 5.4.15-1~precise+1), firefox-branding:amd64 (20.0+build1-0ubuntu0.12.04.3, 21.0+build2-0ubuntu0.12.04.3), lib32asound2:amd64 (1.0.25-1ubuntu10.1, 1.0.25-1ubuntu10.2), firefox:amd64 (20.0+build1-0ubuntu0.12.04.3, 21.0+build2-0ubuntu0.12.04.3), alsa-utils:amd64 (1.0.25-1ubuntu5, 1.0.25-1ubuntu5.2), libasound2:amd64 (1.0.25-1ubuntu10.1, 1.0.25-1ubuntu10.2), libasound2:i386 (1.0.25-1ubuntu10.1, 1.0.25-1ubuntu10.2), firefox-locale-en:amd64 (20.0+build1-0ubuntu0.12.04.3, 21.0+build2-0ubuntu0.12.04.3), flashplugin-installer:amd64 (11.2.202.280ubuntu0.12.04.1, 11.2.202.285ubuntu0.12.04.1), php5-mcrypt:amd64 (5.4.14-1~precise+1, 5.4.15-1~precise+1), steam-launcher:amd64 (1.0.0.38, 1.0.0.39), thunderbird-globalmenu:amd64 (17.0.5+build1-0ubuntu0.12.04.1, 17.0.6+build1-0ubuntu0.12.04.1), php5-mysql:amd64 (5.4.14-1~precise+1, 5.4.15-1~precise+1), php5-cli:amd64 (5.4.14-1~precise+1, 5.4.15-1~precise+1), php5-common:amd64 (5.4.14-1~precise+1, 5.4.15-1~precise+1)
End-Date: 2013-05-16  18:51:22

Start-Date: 2013-05-16  18:53:30
Commandline: aptdaemon role='role-commit-packages' sender=':1.64'
Upgrade: linux-libc-dev:amd64 (3.2.0-41.66, 3.2.0-43.68)
End-Date: 2013-05-16  18:53:34

Start-Date: 2013-05-16  19:02:21
Commandline: apt-get install linux-headers-generic
Install: linux-headers-3.2.0-43:amd64 (3.2.0-43.68, automatic), linux-headers-3.2.0-43-generic:amd64 (3.2.0-43.68, automatic)
Upgrade: linux-headers-generic:amd64 (3.2.0.41.49, 3.2.0.43.51)
End-Date: 2013-05-16  19:02:48

Start-Date: 2013-05-16  19:03:57
Commandline: apt-get install linux-image-generic
Install: linux-image-3.2.0-43-generic:amd64 (3.2.0-43.68)
Upgrade: linux-image-generic:amd64 (3.2.0.41.49, 3.2.0.43.51)
End-Date: 2013-05-16  19:04:43

Start-Date: 2013-05-16  19:11:07
Commandline: apt-get install sessioninstaller
Upgrade: sessioninstaller:amd64 (0.20+bzr120-0ubuntu2, 0.20+bzr128-0ubuntu1.2)
Remove: gnome-codec-install:amd64 (0.4.7+nmu1ubuntu3)
End-Date: 2013-05-16  19:11:47
share|improve this answer
add comment

Your Answer

 
discard

By posting your answer, you agree to the privacy policy and terms of service.

Not the answer you're looking for? Browse other questions tagged or ask your own question.